Loading...
Searching...
No Matches
Opm::GasLiftSingleWellGeneric< Scalar, IndexTraits >::LimitedRates Struct Reference
Inheritance diagram for Opm::GasLiftSingleWellGeneric< Scalar, IndexTraits >::LimitedRates:

## Public Types

enum class | LimitType { well , group , none }

## Public Member Functions

| LimitedRates (Scalar oil_, Scalar gas_, Scalar water_, bool oil_is_limited_, bool gas_is_limited_, bool water_is_limited_, bool bhp_is_limited_, std::optional< Rate > oil_limiting_target_, std ::optional< Rate > water_limiting_target_)
| LimitedRates (const BasicRates &rates, bool oil_is_limited_, bool gas_is_limited_, bool water_is_limited_)
bool | limited () const
Public Member Functions inherited from Opm::GasLiftSingleWellGeneric< Scalar, IndexTraits >::BasicRates
| BasicRates (const BasicRates &rates)
| BasicRates (Scalar oil_, Scalar gas_, Scalar water_, bool bhp_is_limited_)
BasicRates & | operator= (const BasicRates &rates)
| BasicRates (const LimitedRates &rates)
Scalar | operator[] (Rate rate_type) const

## Public Attributes

LimitType | limit_type
bool | oil_is_limited
bool | gas_is_limited
bool | water_is_limited
std::optional< Rate > | oil_limiting_target
std::optional< Rate > | water_limiting_target
Public Attributes inherited from Opm::GasLiftSingleWellGeneric< Scalar, IndexTraits >::BasicRates
Scalar | oil
Scalar | gas
Scalar | water
bool | bhp_is_limited

The documentation for this struct was generated from the following file:

- opm/simulators/wells/GasLiftSingleWellGeneric.hpp